{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gi-docgen/gi-docgen",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gi-docgen_gi-docgen__h",
            "desc": "测试 gi-docgen 命令的 -h 参数，显示帮助信息"
        },
        {
            "name": "test_gi-docgen_function_generate",
            "desc": "测试 gi-docgen 生成文档功能"
        },
        {
            "name": "test_gi-docgen_function_install",
            "desc": "测试 gi-docgen 软件包的安装功能"
        },
        {
            "name": "test_gi-docgen_function_version",
            "desc": "测试 gi-docgen 命令的版本信息"
        },
        {
            "name": "test_gi-docgen_function_help",
            "desc": "测试 gi-docgen 命令的完整帮助信息"
        },
        {
            "name": "test_gi-docgen_function_uninstall",
            "desc": "测试 gi-docgen 软件包的卸载功能"
        }
    ]
}